/**
 * @file
 * Callback for jqueryAddonTimepicker.
 */


(function ($) {
  'use strict';

  // Fix conflicts.
  $.fn.addonTimepicker = $.fn.timepicker;
  delete $.fn.timepicker;

  Drupal.behaviors.jqueryAddonTimepicker = {
    attach: function (context, settings) {
      if (undefined !== settings.timepicker.jquery_addon_timepicker) {
        for (var fieldName in settings.timepicker.jquery_addon_timepicker) {
          // Find the element by field name.
          var $element = $('input[name^="' + fieldName + '["][type="time"]', context);

          // Build options object.
          var customOptions = settings.timepicker.jquery_addon_timepicker[fieldName];
          // Set default hour and minute for the AddonTimepicker.
          var timeValues = $element.val().split(':');
          var requiredOptions = {
            "hour": timeValues[0],
            "minute": timeValues[1]
          };
          var options = Object.assign(customOptions, requiredOptions);

          // Apply the AddonTimepicker.
          $element.addonTimepicker(options);

        }
      }
    }
  };
}(jQuery));
